## raptor2 2.0.16

=== src/CMakeLists.txt ===
# raptor/src/CMakeLists.txt
#
# Original listfile by Daniel Richard G. <skunk@iSKUNK.ORG>
# This file is in the public domain.
#
# Changes 01/20/15 J Kyle Medley
#

IF(RAPTOR_PARSER_RDFA)
	INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/../librdfa)
ENDIF(RAPTOR_PARSER_RDFA)

# ** Parser sources **

# XML parser enabled
IF(RAPTOR_PARSER_RDFXML)
	SET(raptor_parser_rdfxml_sources raptor_rdfxml.c)
	SET(raptor_libxml_libs ${LIBXML2_LIBRARIES})
ENDIF(RAPTOR_PARSER_RDFXML)

# N triples parser enabled
IF(RAPTOR_PARSER_NTRIPLES OR RAPTOR_PARSER_NQUADS)
	SET(raptor_parser_ntriples_nquads_sources ntriples_parse.c raptor_ntriples.c)
ENDIF(RAPTOR_PARSER_NTRIPLES OR RAPTOR_PARSER_NQUADS)

# Turtle parser enabled
IF(RAPTOR_PARSER_TURTLE OR RAPTOR_PARSER_TRIG)
  SET(raptor_parser_turtle_trig_sources
#     turtle_common.h
    ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.c
#     turtle_lexer.h
    ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.c
#     turtle_parser.h
  )

  # Generate the turtle parser
  ADD_CUSTOM_TARGET(turtle_tables_tgt DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.tab.c)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.tab.c
    COMMAND ${BISON_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.c ${CMAKE_CURRENT_SOURCE_DIR}/turtle_parser.y
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/turtle_parser.y)

  ADD_CUSTOM_TARGET(turtle_parser_tgt DEPENDS turtle_tables_tgt ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.c ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.h)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.c
    COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/fix-bison.pl ${CMAKE_CURRENT_BINARY_DIR}/turtle_parser.c
    DEPENDS turtle_tables_tgt)

  # Generate the turtle lexer
  ADD_CUSTOM_TARGET(turtle_flex_tgt DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.t)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.t
    COMMAND ${FLEX_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.t ${CMAKE_CURRENT_SOURCE_DIR}/turtle_lexer.l
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/turtle_lexer.l)

  ADD_CUSTOM_TARGET(turtle_lexer_tgt DEPENDS turtle_flex_tgt)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.c
    COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/fix-flex.pl ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.t > ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.c
    COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/fix-flex.pl ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.h > ${CMAKE_CURRENT_BINARY_DIR}/t
    COMMAND ${CMAKE_COMMAND} -E rename ${CMAKE_CURRENT_BINARY_DIR}/t ${CMAKE_CURRENT_BINARY_DIR}/turtle_lexer.h
    DEPENDS turtle_flex_tgt)
ENDIF(RAPTOR_PARSER_TURTLE OR RAPTOR_PARSER_TRIG)

# RSS feed parser enabled
IF(RAPTOR_PARSER_RSS OR RAPTOR_SERIALIZER_RSS_1_0)
	SET(raptor_rss_common_sources raptor_rss_common.c raptor_rss.h)
ENDIF(RAPTOR_PARSER_RSS OR RAPTOR_SERIALIZER_RSS_1_0)
IF(RAPTOR_PARSER_RSS)
	SET(raptor_parser_rss_sources raptor_rss.c)
	SET(raptor_libxml_libs ${LIBXML2_LIBRARIES})
ENDIF(RAPTOR_PARSER_RSS)

# GRDDL parser enabled
IF(RAPTOR_PARSER_GRDDL)
	SET(raptor_parser_grddl_sources raptor_grddl.c)
	SET(raptor_libxml_libs ${LIBXML2_LIBRARIES})
	SET(raptor_libxslt_libs ${LIBXSLT_LIBRARIES})
ENDIF(RAPTOR_PARSER_GRDDL)

# Guess which parser to use based on context
IF(RAPTOR_PARSER_GUESS)
	SET(raptor_parser_guess_sources raptor_guess.c)
ENDIF(RAPTOR_PARSER_GUESS)

# RDFA parser enabled
IF(RAPTOR_PARSER_RDFA)
	SET(raptor_parser_rdfa_sources raptor_librdfa.c)
ENDIF(RAPTOR_PARSER_RDFA)

# JSON parser enabled
IF(RAPTOR_PARSER_JSON)
	SET(raptor_parser_json_sources raptor_json.c)
ENDIF(RAPTOR_PARSER_JSON)

# ** Serializers **

IF(RAPTOR_SERIALIZER_RDFXML)
	SET(raptor_serializer_rdfxml_sources raptor_serialize_rdfxml.c)
ENDIF(RAPTOR_SERIALIZER_RDFXML)
IF(RAPTOR_SERIALIZER_NTRIPLES OR RAPTOR_SERIALIZER_NQUADS)
	SET(raptor_serializer_ntriples_nquads_sources raptor_serialize_ntriples.c)
ENDIF(RAPTOR_SERIALIZER_NTRIPLES OR RAPTOR_SERIALIZER_NQUADS)
IF(RAPTOR_SERIALIZER_RDFXML_ABBREV OR RAPTOR_SERIALIZER_TURTLE OR RAPTOR_SERIALIZER_MKR)
	SET(raptor_serializer_abbrev_sources raptor_abbrev.c)
ENDIF(RAPTOR_SERIALIZER_RDFXML_ABBREV OR RAPTOR_SERIALIZER_TURTLE OR RAPTOR_SERIALIZER_MKR)
IF(RAPTOR_SERIALIZER_RDFXML_ABBREV)
	SET(raptor_serializer_rdfxml_abbrev_sources raptor_serialize_rdfxmla.c)
ENDIF(RAPTOR_SERIALIZER_RDFXML_ABBREV)
IF(RAPTOR_SERIALIZER_TURTLE OR RAPTOR_SERIALIZER_MKR)
	SET(raptor_serializer_turtle_sources raptor_serialize_turtle.c)
ENDIF(RAPTOR_SERIALIZER_TURTLE OR RAPTOR_SERIALIZER_MKR)
IF(RAPTOR_SERIALIZER_RSS_1_0)
	SET(raptor_serializer_rss_1_0_sources raptor_serialize_rss.c)
ENDIF(RAPTOR_SERIALIZER_RSS_1_0)
IF(RAPTOR_SERIALIZER_DOT)
	SET(raptor_serializer_dot_sources raptor_serialize_dot.c)
ENDIF(RAPTOR_SERIALIZER_DOT)
IF(RAPTOR_SERIALIZER_HTML)
	SET(raptor_serializer_html_sources raptor_serialize_html.c)
ENDIF(RAPTOR_SERIALIZER_HTML)
IF(RAPTOR_SERIALIZER_JSON)
	SET(raptor_serializer_json_sources raptor_serialize_json.c)
	SET(raptor_yajl_libs ${YAJL_LIBRARIES})
ENDIF(RAPTOR_SERIALIZER_JSON)

IF(RAPTOR_WWW STREQUAL "curl")
	SET(raptor_www_sources raptor_www_curl.c)
	SET(raptor_www_libs ${CURL_LIBRARIES})
ELSEIF(RAPTOR_WWW STREQUAL "fetch")
	SET(raptor_www_sources raptor_www_libfetch.c)
	#SET(raptor_www_libs ${FETCH_LIBRARIES})
ELSEIF(RAPTOR_WWW STREQUAL "xml")
	SET(raptor_www_sources raptor_www_libxml.c)
	SET(raptor_www_libs ${LIBXML2_LIBRARIES})
ENDIF(RAPTOR_WWW STREQUAL "curl")

IF(RAPTOR_XML STREQUAL "libxml")
	SET(raptor_libxml_sources raptor_libxml.c)
	SET(raptor_libxml_libs ${LIBXML2_LIBRARIES})
ENDIF(RAPTOR_XML STREQUAL "libxml")
IF(RAPTOR_PARSER_RDFA)
	SET(raptor_librdfa_sources
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/context.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/curie.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/iri.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/language.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/lists.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/namespace.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/rdfa.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/rdfa_utils.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/strtok_r.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/subject.c
		${CMAKE_CURRENT_SOURCE_DIR}/../librdfa/triple.c
# 		${CMAKE_SOURCE_DIR}/librdfa/rdfa.h
# 		${CMAKE_SOURCE_DIR}/librdfa/rdfa_utils.h
# 		${CMAKE_SOURCE_DIR}/librdfa/strtok_r.h
	)
ENDIF(RAPTOR_PARSER_RDFA)

IF(NOT HAVE_STRCASECMP AND NOT HAVE_STRICMP)
	SET(raptor_strcasecmp_sources strcasecmp.c)
ENDIF(NOT HAVE_STRCASECMP AND NOT HAVE_STRICMP)

IF(RAPTOR_PARSEDATE)
  SET(raptor_parsedate_sources ${CMAKE_CURRENT_BINARY_DIR}/parsedate.c)

  # Generate the date/time parser
  ADD_CUSTOM_TARGET(parsedate_tables_tgt DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/parsedate.tab.c)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/parsedate.tab.c
    COMMAND ${BISON_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/parsedate.c ${CMAKE_CURRENT_SOURCE_DIR}/parsedate.y
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/parsedate.y)

  ADD_CUSTOM_TARGET(parsedate_tgt DEPENDS parsedate_tables_tgt ${CMAKE_CURRENT_BINARY_DIR}/parsedate.c ${CMAKE_CURRENT_BINARY_DIR}/parsedate.h)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/parsedate.c
    COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/fix-bison.pl ${CMAKE_CURRENT_BINARY_DIR}/parsedate.c
    DEPENDS parsedate_tables_tgt)
ENDIF(RAPTOR_PARSEDATE)

IF(BUILD_SHARED_LIBS)
	SET(LIB_TYPE SHARED)
ELSE(BUILD_SHARED_LIBS)
	SET(LIB_TYPE STATIC)
ENDIF(BUILD_SHARED_LIBS)

ADD_LIBRARY(raptor2 ${LIB_TYPE}
	raptor_avltree.c
	raptor_concepts.c
	raptor_escaped.c
	raptor_general.c
	raptor_iostream.c
	raptor_json_writer.c
	raptor_locator.c
	raptor_log.c
	raptor_memstr.c
	raptor_namespace.c
	raptor_option.c
	raptor_parse.c
	raptor_qname.c
	raptor_rfc2396.c
	raptor_sax2.c
	raptor_sequence.c
	raptor_serialize.c
	raptor_set.c
	raptor_statement.c
	raptor_stringbuffer.c
	raptor_syntax_description.c
	raptor_term.c
	raptor_turtle_writer.c
	raptor_unicode.c
	raptor_uri.c
	raptor_www.c
	raptor_xml.c
	raptor_xml_writer.c
	snprintf.c
	sort_r.c
	turtle_common.c
	${raptor_parser_rdfxml_sources}
	${raptor_parser_ntriples_nquads_sources}
	${raptor_parser_turtle_trig_sources}
	${raptor_rss_common_sources}
	${raptor_parser_rss_sources}
	${raptor_parser_grddl_sources}
	${raptor_parser_guess_sources}
	${raptor_parser_rdfa_sources}
	${raptor_parser_json_sources}
	${raptor_serializer_rdfxml_sources}
	${raptor_serializer_ntriples_nquads_sources}
	${raptor_serializer_abbrev_sources}
	${raptor_serializer_rdfxml_abbrev_sources}
	${raptor_serializer_turtle_sources}
	${raptor_serializer_rss_1_0_sources}
	${raptor_serializer_dot_sources}
	${raptor_serializer_html_sources}
	${raptor_serializer_json_sources}
	${raptor_www_sources}
	${raptor_libxml_sources}
	${raptor_librdfa_sources}
	${raptor_strcasecmp_sources}
	${raptor_parsedate_sources}
)
IF(RAPTOR_PARSER_TURTLE OR RAPTOR_PARSER_TRIG)
  add_dependencies(raptor2 turtle_parser_tgt turtle_lexer_tgt)
ENDIF()
IF(RAPTOR_PARSEDATE)
  add_dependencies(raptor2 parsedate_tgt)
ENDIF()

TARGET_LINK_LIBRARIES(raptor2
	${raptor_libxslt_libs}
	${raptor_libxml_libs}
	${raptor_yajl_libs}
	${raptor_www_libs}
)

SET_TARGET_PROPERTIES(
	raptor2
	PROPERTIES
	COMPILE_DEFINITIONS "LIBRDFA_IN_RAPTOR;RAPTOR_INTERNAL;${LIBXML2_DEFINITIONS};${LIBXSLT_DEFINITIONS}"
)

ADD_EXECUTABLE(turtle_lexer_test turtle_lexer.c)
TARGET_LINK_LIBRARIES(turtle_lexer_test raptor2)

IF(NOT WIN32 OR NOT BUILD_SHARED_LIBS)
	# This currently cannot be built on Windows with DLL linkage
	ADD_EXECUTABLE(turtle_parser_test turtle_parser.c)
	TARGET_LINK_LIBRARIES(turtle_parser_test raptor2)
	SET_TARGET_PROPERTIES(
		turtle_parser_test
		PROPERTIES
		COMPILE_DEFINITIONS "RAPTOR_INTERNAL;STANDALONE"
	)
ENDIF(NOT WIN32 OR NOT BUILD_SHARED_LIBS)

ADD_EXECUTABLE(raptor_parse_test raptor_parse.c)
TARGET_LINK_LIBRARIES(raptor_parse_test raptor2)
ADD_TEST(raptor_parse_test raptor_parse_test)

ADD_EXECUTABLE(raptor_rfc2396_test raptor_rfc2396.c)
TARGET_LINK_LIBRARIES(raptor_rfc2396_test raptor2)
ADD_TEST(raptor_rfc2396_test raptor_rfc2396_test)

ADD_EXECUTABLE(raptor_uri_test raptor_uri.c)
TARGET_LINK_LIBRARIES(raptor_uri_test raptor2)
ADD_TEST(raptor_uri_test raptor_uri_test)

ADD_EXECUTABLE(raptor_namespace_test raptor_namespace.c)
TARGET_LINK_LIBRARIES(raptor_namespace_test raptor2)
ADD_TEST(raptor_namespace_test raptor_namespace_test)

ADD_EXECUTABLE(strcasecmp_test strcasecmp.c)
TARGET_LINK_LIBRARIES(strcasecmp_test raptor2)
ADD_TEST(strcasecmp_test strcasecmp_test)

ADD_EXECUTABLE(raptor_www_test raptor_www_test.c)
TARGET_LINK_LIBRARIES(raptor_www_test raptor2)
ADD_TEST(raptor_www_test raptor_www_test)

ADD_EXECUTABLE(raptor_sequence_test raptor_sequence.c)
TARGET_LINK_LIBRARIES(raptor_sequence_test raptor2)
ADD_TEST(raptor_sequence_test raptor_sequence_test)

ADD_EXECUTABLE(raptor_stringbuffer_test raptor_stringbuffer.c)
TARGET_LINK_LIBRARIES(raptor_stringbuffer_test raptor2)
ADD_TEST(raptor_stringbuffer_test raptor_stringbuffer_test)

ADD_EXECUTABLE(raptor_iostream_test raptor_iostream.c)
TARGET_LINK_LIBRARIES(raptor_iostream_test raptor2)
ADD_TEST(raptor_iostream_test raptor_iostream_test)

ADD_EXECUTABLE(raptor_xml_writer_test raptor_xml_writer.c)
TARGET_LINK_LIBRARIES(raptor_xml_writer_test raptor2)
ADD_TEST(raptor_xml_writer_test raptor_xml_writer_test)

ADD_EXECUTABLE(raptor_turtle_writer_test raptor_turtle_writer.c)
TARGET_LINK_LIBRARIES(raptor_turtle_writer_test raptor2)
ADD_TEST(raptor_turtle_writer_test raptor_turtle_writer_test)

ADD_EXECUTABLE(raptor_avltree_test raptor_avltree.c)
TARGET_LINK_LIBRARIES(raptor_avltree_test raptor2)
ADD_TEST(raptor_avltree_test raptor_avltree_test)

ADD_EXECUTABLE(raptor_term_test raptor_term.c)
TARGET_LINK_LIBRARIES(raptor_term_test raptor2)
ADD_TEST(raptor_term_test raptor_term_test)

ADD_EXECUTABLE(raptor_permute_test raptor_permute_test.c)
TARGET_LINK_LIBRARIES(raptor_permute_test raptor2)

=== debian/changelog ===
raptor2 (2.0.16-6) unstable; urgency=medium

  * QA upload.
  * Integer Underflow in raptor_uri_normalize_path() (CVE-2024-57823)
    (Closes: #1067896)
  * Heap read buffer overflow in ntriples bnode (CVE-2024-57822)
    (Closes: #1067896)
  * Tests for Github issue 70

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 Mar 2025 15:33:08 +0100

raptor2 (2.0.16-5) unstable; urgency=medium

  * QA upload.
  * Make OpenSSL the primary curl backend.
  * Update Standards-Version to 4.7.1, no changes needed.
  * Add upstream signing key and check the signature.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 22 Feb 2025 17:04:28 -0600

raptor2 (2.0.16-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libxml2 2.11.  (Closes: #1073350)
  * Switch B-D from transitional pkg-config to pkgconf.
  * Fix running tests in parallel.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 29 Jun 2024 10:43:44 +0200

raptor2 (2.0.16-3) unstable; urgency=medium

  * QA upload.
  * Backport upstream commit 3b7ed0e67f919e49ea8b1f5387c14b762f446b45 to fix
    the selection of the used sort_r() on Hurd; patch
    upstream_Fix-sort_r-selection-on-GNU-Hurd.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Jul 2023 06:17:35 +0200

raptor2 (2.0.16-2) unstable; urgency=medium

  * QA upload.
  * Move from experimental to unstable.
  * Add libcurl-ssl-dev as alternative to libcurl4-gnutls-dev. LP: #1899809
  * Add libicu-dev as BD.
  * Enable all tests but do not run them in parallel.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 03 Jul 2023 08:56:32 +0200

raptor2 (2.0.16-1) experimental; urgency=medium

  * QA upload.
  * New upstream version.
    + Drop patches (included upstream):
      - Calculate-max-nspace-declarations-correctly-for-XML-.patch
      - CVE-2020-25713-raptor2-malformed-input-file-can-lead.patch
      - configure.ac-Allow-use-of-pkg-config-to-detect-the-libxsl.patch
      - configure.ac-libxml2.patch
    + Drop unused lintian overrides.
    + Update symbol file.
    + Update copyright info.
  * Bump Standards-Version, no changes.
  * Run wrap-and-sort -ast.
  * Create repo on salsa and add Vcs-* fields to debian/control.
  * Install gtk-doc reference manual to native path
    (/usr/share/gtk-doc/html/raptor2) instead of
    /usr/share/doc/libraptor2-dev/raptor2/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 May 2023 11:29:05 +0200

=== debian/control ===
Source: raptor2
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gtk-doc-tools,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libglib2.0-dev,
 libicu-dev,
 libtool,
 libxml2-dev,
 libxslt1-dev,
 libyajl-dev,
 pkgconf,
Standards-Version: 4.7.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/raptor2.git
Vcs-Browser: https://salsa.debian.org/debian/raptor2
Homepage: https://librdf.org/raptor/

Package: libraptor2-dev
Suggests:
 libraptor2-doc,
Recommends:
 raptor2-utils,
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libraptor2-0 (= ${binary:Version}),
 libxml2-dev,
 libxslt1-dev,
 libyajl-dev,
 ${misc:Depends},
Description: Raptor 2 RDF syntax library development libraries and headers
 Raptor Resource Description Framework (RDF) parser and serializer
 development libraries, header files and documentation needed by
 programs that want to be compiled with Raptor.

Package: libraptor2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 raptor2-utils,
Description: Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 The parsing syntaxes are RDF/JSON, RDF/XML, N-Triples, Turtle, GRDDL and RSS
 tag soup including Atom 0.3 and Atom 1.0.  The serializing syntaxes
 are RDF/XML, N-Quads, N-Triples RSS 1.0 and Atom 1.0.  Raptor can handle
 RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP,
 Dublin Core and OWL.
 .
 Raptor is designed for performance, flexibility and embedding (no
 memory leaks) and to closely match the revised RDF/XML specification.

Package: raptor2-utils
Section: text
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Raptor 2 RDF parser and serializer utilities
 This package provides the rapper tool for validating, parsing and
 serializing RDF/XML, N-Triples, Turtle, RSS, Atom and other Resource
 Description Framework (RDF) syntaxes using the Raptor RDF library.

Package: libraptor2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 lynx | www-browser,
 ${misc:Depends},
Breaks:
 libraptor2-dev (<< 2.0.15-3),
Replaces:
 libraptor2-dev (<< 2.0.15-3),
Description: Documentation for the Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the HTML documentation for the Raptor 2 library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--default-symver

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://download.librdf.org/source/ raptor2-([\d+\.]+|\d+)\.tar\.gz
